statistical info on compute-resource usage in foreman-debug

02/17/2016 05:57 AM - Jan Hutař

Status: New   

Priority: Normal   

Assignee:    

Category: foreman-debug   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

I would like to have compute-resource usage in foreman-debug. That could be achieved by:

echo 'select count(hosts.name), compute_resources.type from hosts, compute_resources where hosts.compute_resource_id =

compute_resources.id group by compute_resources.type;' | su postgres -c 'psql foreman'

History

#1 - 02/17/2016 05:57 AM - Jan Hutař

This is tracked in a downstream BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1284679

#2 - 02/17/2016 05:58 AM - Dominic Cleal

- Category set to foreman-debug

#3 - 02/17/2016 06:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3196 added

#4 - 02/17/2016 12:59 PM - Lukas Zapletal

Thanks Jan for the patch, is it worth adding more statistics in this patch? From your experience, what else is important.

#5 - 02/18/2016 03:04 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/3196)

#6 - 10/04/2018 05:14 PM - Chris Roberts

- Assignee set to Chris Roberts

#7 - 04/15/2019 09:28 PM - Chris Roberts

- Assignee deleted (Chris Roberts)

Moving back to New since debug is not part of sosreport.
